#include <iostream>
#include <vector>
#include "histogram.h"
#include "svg.h"

using namespace std;

//     
struct Input {
    vector<double> numbers;
    size_t bin_count{};
};

//   
Input input_data() {
    Input in;
    int number_count;

    cin >> number_count;
    while (number_count < 1) {
        cin >> number_count;
    }

    cin >> in.bin_count;
    while (in.bin_count < 1) {
        cin >> in.bin_count;
    }

    in.numbers.resize(number_count);
    for (int i = 0; i < number_count; i++) {
        cin >> in.numbers[i];
    }

    return in;
}

//  
int main() {
    auto in = input_data(); //  
    auto bins = make_histogram(in.numbers, in.bin_count); //  
    show_histogram_svg(bins); //     SVG
}
